How do I apply HP's Support Pack on an OES SP1 server?

- ProLiant DL360 G4p
- Downloaded psp-7.40.sles9.linux.en.tar.gz (for SUSE Linux Enterprise
Sever 9 (x86)
- After decompressing the tar and running ./, an error message
says that the source code for the kernel is required but is not present and
that the required compat-sles8-1.3-93 or later library is missing. HPs
documentation confirms that NIC drivers must be compiled.

Can HP's SLES9 support pack be applied to OES SP1? Apparently there is no
OES version of the support pack. Can I install the source code and the
missing library and re-run the support pack?